Bug 39395

Summary: SwitchCell does not take all available place inside ListView
Product: Forms Reporter: Artem Ustimov <artjom-ustimov>
Component: WindowsAssignee: Bugzilla <bugzilla>
Status: VERIFIED FIXED    
Severity: normal CC: ehart, jas, parmendrak, sahou
Priority: Normal    
Version: 2.0.0   
Target Milestone: ---   
Hardware: PC   
OS: Windows   
Tags: ac Is this bug a regression?: ---
Last known good build:
Attachments: bug

Description Artem Ustimov 2016-03-06 12:27:00 UTC
Created attachment 15279 [details]
bug

Target platform - Windows Phone 8.1 RT. An issue depicted on a screenshot. Here is simplest page to reproduce a bug.

using Xamarin.Forms;

namespace Clothing.Views.Pages
{
    public class FeedbackPage : ContentPage
    {
        public FeedbackPage()
        {
            Content = new StackLayout
            {
                Children = {
                    new ListView
                    {
                        ItemTemplate = new DataTemplate(typeof(SwitchCell)),
                        ItemsSource = new string[] { "Text", "Text"},
                    },
		}
            };
        }
    }
}
Comment 1 Jason Smith [MSFT] 2016-03-16 09:31:15 UTC
Should be fixed in 2.2.0-pre1
Comment 2 Parmendra Kumar 2016-04-07 15:10:09 UTC
I have checked this issue with xamarin.forms 2.2.0-pre1 and its working fine.

Screencast: http://www.screencast.com/t/ovnMsisuBo

Hence closing this issue.